Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418895 - [DOCS] Need documentation on label and field selectors for routes
Summary: [DOCS] Need documentation on label and field selectors for routes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: brice
QA Contact: zhaozhanqi
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 02:00 UTC by brice
Modified: 2017-02-28 00:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 00:23:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description brice 2017-02-03 02:00:47 UTC
As per: https://github.com/openshift/openshift-docs/pull/3637

The docs[1] state that there are environment variables for setting routes using labels and field selectors (ROUTE_LABELS and ROUTE_FIELDS respectively). It would be good to have a section in the Route topic about how to set these when creating routes.


[1] https://docs.openshift.com/container-platform/3.4/architecture/core_concepts/routes.html#env-variables
[2] https://docs.openshift.com/container-platform/3.4/install_config/router/default_haproxy_router.html

Comment 1 brice 2017-02-10 05:08:18 UTC
PR created for this BZ:

https://github.com/openshift/openshift-docs/pull/3706

Comment 2 openshift-github-bot 2017-02-15 05:29:12 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/b8bfba7bda98d085fe064c2f2c7e6e9a8c77988e
Merge pull request #3706 from bfallonf/routelabels_1418895

Bug 1418895 Added filtering routes by labels section


Note You need to log in before you can comment on or make changes to this bug.